IBM Support

IT06941: SECURITY ISSUES IN SOME GNU C LIBRARY (GLIBC) FUNCTIONS

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • The GNU C Library (glibc) has vulnerabilities as specified in
    CVE-2015-0235 and CVE-2014-6040.
    

Local fix

Problem summary

  • CVE-2015-0235 - The gethostbyname functions of the GNU C Library
     (glibc) are vulnerable to a buffer overflow.
    CVE-2014-6040 - The GNU C Library (glibc) is vulnerable to a
    denial of service, caused by the improper validation of input by
    the iconv() function.
    

Problem conclusion

Temporary fix

Comments

APAR Information

  • APAR number

    IT06941

  • Reported component name

    DATAPOWER

  • Reported component ID

    DP1234567

  • Reported release

    500

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2015-02-05

  • Closed date

    2015-02-05

  • Last modified date

    2015-02-23

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    DATAPOWER

  • Fixed component ID

    DP1234567

Applicable component levels

  • R600 PSY

       UP

  • R601 PSY

       UP

  • R700 PSY

       UP

  • R710 PSY

       UP



Document information

More support for: IBM DataPower Gateways
General

Software version: 5.0.0

Reference #: IT06941

Modified date: 23 February 2015